org.wso2.carbon.dataservices.ui.beans

## Class DataServiceConfigurationElement

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement

- Direct Known Subclasses:
    Attribute, AuthProvider, CallableRequest, CallQuery, CallQueryGroup, Config, Data, Element, Event, GSpreadQuery, NonSQLQuery, Param, Property, Query, RDFResource, Result, Validator, WithParam

      public abstract class DataServiceConfigurationElement
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataServiceConfigurationElement()`
    `DataServiceConfigurationElement(String requiredRoles)`
    `DataServiceConfigurationElement(String requiredRoles, String xsdType)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract org.apache.axiom.om.OMElement` | `buildXML()` Generates XML representation of Object
    `Map<String,String>` | `extractAdvancedProps(org.apache.axiom.om.OMElement queryEl)` Extract advance property name value pairs from the query configuration.
    `String` | `getRequiredRoles()`
    `String` | `getXsdType()`
    `void` | `setRequiredRoles(String userRoles)`
    `void` | `setxsdType(String xsType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataServiceConfigurationElement

          public DataServiceConfigurationElement(String requiredRoles,
                                                 String xsdType)

    - #### DataServiceConfigurationElement

          public DataServiceConfigurationElement(String requiredRoles)

    - #### DataServiceConfigurationElement

          public DataServiceConfigurationElement()

  - ### Method Detail

    - #### getRequiredRoles

          public String getRequiredRoles()

    - #### getXsdType

          public String getXsdType()

    - #### setRequiredRoles

          public void setRequiredRoles(String userRoles)

    - #### setxsdType

          public void setxsdType(String xsType)

    - #### buildXML

          public abstract org.apache.axiom.om.OMElement buildXML()

      Generates XML representation of Object
      Returns:
        OMElement

    - #### extractAdvancedProps

          public Map<String,String> extractAdvancedProps(org.apache.axiom.om.OMElement queryEl)

      Extract advance property name value pairs from the query configuration.
      Parameters:
        `queryEl` - DBS query config element which contains the advanced properties
      Returns:
        Map of property name value pairs

Copyright © 2019 WSO2. All rights reserved.